MOI release 2.0.05 appliance profiler-maas microservice requires Message Server Server release level 1.4.2 or higher

book

Article ID: 185637

calendar_today

Updated On:

Products

CA Mainframe Operational Intelligence

Issue/Introduction

After restarting a Common Services Message Service server, the following message is displayed in the MOI appliance profiler-maas.log just before the microservice stops:


2020-02-21 00:27:00.361  INFO 69 --- [io-58585-exec-5] c.c.o.e.m.h.MetricProcessor              :  ____________________________________________

2020-02-21 00:27:00.361  INFO 69 --- [io-58585-exec-5] c.c.o.e.m.h.MetricProcessor              : /------------------ALERT----------------------\

2020-02-21 00:27:00.361 ERROR 69 --- [io-58585-exec-5] c.c.o.e.m.h.MetricProcessor              : For MOI 2.0.05, the required MS Server is 1.4.2 or higher. Found the incompatible version of Message Service Server : 1.3.7. Please refer the knowledge base for further instructions.

2020-02-21 00:27:00.361  INFO 69 --- [io-58585-exec-5] c.c.o.e.m.h.MetricProcessor              : \--------------------------------------------/

 

Cause

MOI was interfacing with a back version of Common Services Message Server 1.3.7 that is not supported by MOI 2.0.05.  

Environment

Release : 2.0

Component : MF OPERATIONAL INTELLIGENCE

Service Pack:  2.0.05

Resolution

MOI was interfacing with a back version of Common Services MS 1.3.7 that is not supported by MOI 2.0.05. Customer upgraded the Message Service Server to release 1.4.8. and the startup problem has been resolved. 

Additional Information

Please refer to the Knowledge Base article on how to check your Message Service Server version that is running:  Instructions on how to check the Message Service Server version that is currently running and feeding data to your MOI appliance